Αποστολέας Θέμα: Πλάνο υποστήριξης Ubuntu/LTSP/Epoptes/sch-scripts  (Αναγνώστηκε 1033 φορές)

alkisg

  • Τεχνικός / καθαρίστρια
  • *****
  • Μηνύματα: 4512
    • alkisg@im.sch.gr
    • Ο Διερμηνευτής της ΓΛΩΣΣΑΣ
Πλάνο υποστήριξης Ubuntu/LTSP/Epoptes/sch-scripts
« στις: 01 Μάι 2018, 08:25:16 πμ »
Επειδή βγήκε το νέο Ubuntu 18.04 και κάποιοι συνάδελφοι ξεκινήσανε τις ερωτήσεις, να γράψω το πιο πιθανό σενάριο υποστήριξης του Ubuntu/LTSP στα σχολεία, χωρίς βέβαια να αποκλείεται να πέσω και έξω:
  • Την τρέχουσα χρονιά καλύτερα να την βγάλουμε με όποια έκδοση Ubuntu έχουμε.
  • Το 18.04 μάλλον θα είναι έτοιμο το Σεπτέμβρη για σχολεία.
  • Στο μεταξύ αν κάποιος θέλει να το βάλει στο σπίτι, να κατεβάσει το Ubuntu MATE 18.04, είτε 32 bit είτε 64 bit, θα υποστηρίζονται και οι δύο αρχιτεκτονικές. Λέω για το σπίτι μόνο γιατί τα sch-scripts δεν είναι ακόμα έτοιμα.
  • Το 18.04 μάλλον θα είναι η τελευταία έκδοση όπου θα υποστηρίζουμε και thin clients, επομένως όσα εργαστήρια έχουν παλιούς υπολογιστές θα θέλουν να μείνουν με αυτό μέχρι να αναβαθμίσουν το hardware. Θα υποστηρίζεται μέχρι το 2023.
  • Από το 20.04 (Απρίλιος 2020) και μετά μάλλον θα αφήσουμε το MATE και θα πάμε στο κανονικό Ubuntu (ή Debian) που πλέον έχει περιβάλλον GNOME, και θα τρέχει σε Wayland αντί για Xorg.
  • Flash και Java τελούν υπό κατάργηση στο Internet, οπότε αρκετά από τα εκπαιδευτικά λογισμικά του Π.Ι. που είχαμε πακετάρει, θα σταματήσουν να παίζουν. Τα .exe που βασίζονται στο wine θα συνεχίσουν να δουλεύουν. Και, υπάρχουν ανεξάρτητα έργα του ΙΤΥΕ για ανάπτυξη εκπαιδευτικών λογισμικών σε HTML 5, που όταν ετοιμαστούν θα παίζουν σε οποιοδήποτε λειτουργικό.
  • Αν κάποιος έχει πραγματικά αρχαίο εργαστήριο, π.χ. Pentium 3 με λιγότερο από 200 MB RAM, μπορεί να μείνει με 12.04 χωρίς αναβαθμίσεις (ούτε καν security updates) για όσο θέλει. Οπότε εκεί θα παίζουν και τα λογισμικά.
  • Όποιος είχε βάλει 16.04, θα είναι καλύτερα να βάλει το 18.04 (έχει παρόμοιες απαιτήσεις υλικού), επειδή είναι αποδοτικότερο να υποστηρίζουμε μόνο μία έκδοση και όχι πολλές.

vovos

  • Θαμώνας
  • ***
  • Μηνύματα: 41
Απ: Πλάνο υποστήριξης Ubuntu/LTSP/Epoptes/sch-scripts
« Απάντηση #1 στις: 02 Μάι 2018, 08:43:15 πμ »
Άλκη να είσαι καλά και να συνεχίζεις τα ωραία σου!
Αν και νωρίς ακόμα, έχω μερικές απορίες για να βλέπουμε και μπροστά:
1) Το Σεπτέμβριο για την αναβάθμιση 16 σε 18 να τα εγκαταστήσουμε όλα από την αρχή ή να κάνουμε upgrade;
2) Για kernel  θα κάνουμε downgrade σε 4.4;

odysseas

  • Ομάδα διαγωνισμάτων 2011
  • *
  • Μηνύματα: 837
Απ: Πλάνο υποστήριξης Ubuntu/LTSP/Epoptes/sch-scripts
« Απάντηση #2 στις: 02 Μάι 2018, 09:46:26 πμ »
Άλκη, ίσως να έχω χάσει επεισόδια, αλλά έχει λυθεί το θέμα της χρηματοδότησης; Γιατί από την περιγραφή συμπεραίνω (με μεγάλη χαρά) ότι η υποστήριξη θα συνεχιστεί.

alkisg

  • Τεχνικός / καθαρίστρια
  • *****
  • Μηνύματα: 4512
    • alkisg@im.sch.gr
    • Ο Διερμηνευτής της ΓΛΩΣΣΑΣ
Απ: Πλάνο υποστήριξης Ubuntu/LTSP/Epoptes/sch-scripts
« Απάντηση #3 στις: 02 Μάι 2018, 11:13:23 πμ »
Γενικά είναι καλύτερο κάθε 2 χρόνια να κάνουμε καθαρή εγκατάσταση. Και upgrade λογικά θα δουλέψει όμως.
Επίσης στις νέες εκδόσεις Ubuntu καλό είναι να καθαρίζουμε τα settings των χρηστών, είτε διαγράφοντας τους φακέλους των χρηστών που αρχίζουν από τελεία, είτε ξαναφτιάχνοντας τους χρήστες... Για παράδειγμα, τα release notes του Ubuntu MATE 18.04, λένε "Anyone upgrading from Ubuntu MATE 16.04 or 17.10 may need to use MATE Tweak to reset the panel layout to one of the bundled layouts post upgrade", γιατί δυσκολεύονται να κάνουν migrate τα panel settings. Ε, αντί να λέμε στους μαθητές πώς να τρέξουν το mate-tweak, καθαρίζουμε τα settings τους εντελώς/μαζικά και ξεμπερδεύουμε.

Για kernel, θα μείνουμε με τον 4.15 που έχει το 18.04 και θα έχει και το CD της έκδοσης 18.04.1.
Στο μέλλον, όσοι θα εγκαταστήσουν με το CD της 18.04.2 και πάνω, θα πάρουν τους αναβαθμιζόμενους πυρήνες, οπότε εκείνοι καλό θα είναι να κάνουν downgrade. Θα γράψω οδηγίες τότε.

Για χρηματοδότηση κάτι κινείται αλλά δεν είναι ακόμα σίγουρο, οπότε δεν μπορώ να ενημερώσω σχετικά.

mitsospap

  • Δεινόσαυρος
  • *****
  • Μηνύματα: 113
Απ: Πλάνο υποστήριξης Ubuntu/LTSP/Epoptes/sch-scripts
« Απάντηση #4 στις: 03 Μάι 2018, 07:11:41 μμ »
Οι πρωτοι πυρηνες που βγαινουν ειναι πολυ αργοι και εχουν bugs. Μηπως να διναμε μια ευκαιρια και στους επομενους;
Γινεται να κανουμε κατι στο προβλημα που δεν φορτωνουν τα menu;

alkisg

  • Τεχνικός / καθαρίστρια
  • *****
  • Μηνύματα: 4512
    • alkisg@im.sch.gr
    • Ο Διερμηνευτής της ΓΛΩΣΣΑΣ
Απ: Πλάνο υποστήριξης Ubuntu/LTSP/Epoptes/sch-scripts
« Απάντηση #5 στις: 03 Μάι 2018, 10:41:00 μμ »
Μήτσο δεν καταλαβαίνω τι εννοείς, όταν οι νέοι πυρήνες έχουν bugs εσύ θες να αλλάζουμε πυρήνες και να βάζουμε τους επόμενους για να έχουμε συνέχεια bugs;
Οι πολύ νέοι πυρήνες έχουν νόημα όταν έχουμε πολύ νέο εργαστήριο που οι παλιοί πυρήνες δεν υποστηρίζουν σωστά το υλικό του.
Όσο γι' αυτό που λες "αργοί", πού το στηρίζεις; Αν εξαιρέσεις το spectre/meltdown που επηρέασε όλα τα λειτουργικά, δεν έχω δει κάποιο benchmark που να επιβεβαιώνει αυτά που λες...

Και για το μενού επίσης δεν κατάλαβα τι εννοείς. Έβαλες 18.04 και είδες κάποιο πρόβλημα με τα μενού;

mitsospap

  • Δεινόσαυρος
  • *****
  • Μηνύματα: 113
Απ: Πλάνο υποστήριξης Ubuntu/LTSP/Epoptes/sch-scripts
« Απάντηση #6 στις: 06 Μάι 2018, 03:33:28 μμ »
Το πρωτο επιχειρημα το ειπες μονος σου,για να μπουταρουν οι fat. Εμενα ο παλιος kernel βγαζει εξω 1 fat. (Amd athlon 64bit παλιος) Με τους επομενους, μπουταρει κανονικα.
Ο καινουργιος πυρηνας δεν ερχεται για να διορθωσει bugs;
Εμενα ο παλιος κανει 1 λεπτο παραπανω τουλαχιστον να φορτωσει.

Βαζοντας τον παλιο kernel διορθωθηκαν καποια bugs αλλα γυρισαν και καποια αλλα που ειχα ξεχασει.
Αυτο το τα menu το εχω παντα και μονιμα αλλα σε μερικα accounts και δεν ξερω τι ειναι.οχι δεν εχω βαλει 18.04 αλλα το ειχα παντα στην 12 και 16 οποτε υπεθεσα οτι θα το κληρονομησουμε και στην 18αρα. Αυτο που εξαφανιζονται ολα τα menu και βλεπεις μονο την επιφανεια εργασιας για αυτο μιλαω.

alkisg

  • Τεχνικός / καθαρίστρια
  • *****
  • Μηνύματα: 4512
    • alkisg@im.sch.gr
    • Ο Διερμηνευτής της ΓΛΩΣΣΑΣ
Απ: Πλάνο υποστήριξης Ubuntu/LTSP/Epoptes/sch-scripts
« Απάντηση #7 στις: 07 Μάι 2018, 08:55:19 πμ »
Ο καινουργιος πυρηνας δεν ερχεται για να διορθωσει bugs;

Όχι.
Υπάρχουν δύο είδη "νέων πυρήνων". Οι major αναβαθμίσεις, όπου αλλάζει το πρώτο ή το δεύτερο νούμερο (π.χ. από 4.4 πάμε σε 4.13), και οι minor αναβαθμίσεις όπου αλλάζουν τα επόμενα νούμερα (π.χ. από 4.4.0-116 πάμε σε 4.4.0-122).
Οι major αναβαθμίσεις:
  • Υποστηρίζουν νέο υλικό. Προφανώς ο νέος κώδικας θα έχει και κάποια αναπόφευκτα νέα bugs, ακόμα και σε παλιό υλικό, γιατί πολλές φορές χρειάζεται να ξαναγραφεί κώδικας που επηρεάζει και παλιό υλικό.
  • Διορθώνουν κάποια παλιά bugs.
  • Σε ορισμένες περιπτώσεις, όλες αυτές οι αλλαγές θα χαλάσουν πράγματα που δούλευαν! Αυτό λέγεται regression.
  • Αφαιρούν την υποστήριξη κάποιου υλικού. Π.χ. μπορεί να πας από 4.4 σε 4.13 και να μην υποστηρίζεται πλέον κάποια κάρτα γραφικών του 2000.
Οι major αναβαθμίσεις λοιπόν είναι "κινούμενος στόχος", συνεχώς θα διορθώνουν bugs και θα φέρνουν νέα.

Οι minor αναβαθμίσεις αντίθετα έχουν σαν στόχο την σταθερότητα:
  • Πολύ σπάνια θα κάνουν "backport" την υποστήριξη κάποιου πολύ διαδεδομένου νέου υλικού, π.χ. πολύ διαδεδομένοι νέοι επεξεργαστές ή νέες κάρτες γραφικών.
  • Κάνουν backport τα σημαντικότερα μόνο από τα "παλιά bugs" που διόρθωσαν οι major αναβαθμίσεις.
  • Γι' αυτό το λόγο έχουν και πολύ λιγότερα regressions.
  • Δεν αφαιρούν υποστήριξη υλικού.
Επίσης να ξαναεπισημάνω ότι όποιος θα εγκαταστήσει Ubuntu με το live CD 18.04 ή 18.04.1, δεν θα λαμβάνει major αναβαθμίσεις.
Αντίθετα, όποιος θα εγκαταστήσει με το 18.04.2, 18.04.3 ή 18.04.4, θα λαμβάνει major αναβαθμίσεις κάθε εξάμηνο μέχρι την 18.04.5 που είναι και η τελευταία της 18 σειράς.
Αυτό που προτείνω δηλαδή είναι να εγκαθιστάμε με τα 18.04/18.04.1 live CDs και να ακολουθούμε την default πολιτική του Ubuntu χωρίς να κάνουμε κάποια ενέργεια.

Τώρα σχετικά με τα συγκεκριμένα προβλήματα που ανάφερες, δεν αποτελούν ένδειξη για να προτιμήσουμε κάτι διαφορετικό. Εάν βάλεις την 18.04 και συνεχίσεις να τα έχεις, μπορούμε τότε να τα κοιτάξουμε.

richard

  • Δεινόσαυρος
  • *****
  • Μηνύματα: 132
Απ: Πλάνο υποστήριξης Ubuntu/LTSP/Epoptes/sch-scripts
« Απάντηση #8 στις: 07 Μάι 2018, 09:02:07 πμ »
Μήτσο

Για τα menu:

Έχεις δει αυτό;

http://alkisg.mysch.gr/steki/index.php?PHPSESSID=gl1m8npp4mj2efu7f832hkstm3&topic=7136.msg80438#msg80438

Συνήθως μου διόρθωσε. Αλλά επίσης είχα δει περιπτώσεις που κάτι άλλαξε και σε ποιο χρήστη ανήκει μερικά κρυφά αρχεία στο /home (αυτά μέσα φακέλους που έχουν ονόματα που αρχίζουν με το σύμβολο . ) και η παραπάνω λύση δεν δούλευε μέχρι να ξανά έφερα τα κρυφά στο σωστό χρήστη με την εντολή

     sudo chown -Rc userxy: /home/userxy/.*

(βάλε το σωστό όνομα του userxy) και έπειτα η λύση δούλευε.

ilias_s

  • Δεινόσαυρος
  • *****
  • Μηνύματα: 125
Απ: Πλάνο υποστήριξης Ubuntu/LTSP/Epoptes/sch-scripts
« Απάντηση #9 στις: 08 Μάι 2018, 03:42:39 μμ »
...
Για χρηματοδότηση κάτι κινείται αλλά δεν είναι ακόμα σίγουρο, οπότε δεν μπορώ να ενημερώσω σχετικά.

Fingers crossed!!!

mitsospap

  • Δεινόσαυρος
  • *****
  • Μηνύματα: 113
Απ: Πλάνο υποστήριξης Ubuntu/LTSP/Epoptes/sch-scripts
« Απάντηση #10 στις: 09 Μάι 2018, 08:57:49 μμ »
Όχι.
Υπάρχουν δύο είδη "νέων πυρήνων". Οι major αναβαθμίσεις, όπου αλλάζει το πρώτο ή το δεύτερο νούμερο (π.χ. από 4.4 πάμε σε 4.13), και οι minor αναβαθμίσεις όπου αλλάζουν τα επόμενα νούμερα (π.χ. από 4.4.0-116 πάμε σε 4.4.0-122).
Οι major αναβαθμίσεις:
  • Υποστηρίζουν νέο υλικό. Προφανώς ο νέος κώδικας θα έχει και κάποια αναπόφευκτα νέα bugs, ακόμα και σε παλιό υλικό, γιατί πολλές φορές χρειάζεται να ξαναγραφεί κώδικας που επηρεάζει και παλιό υλικό.
  • Διορθώνουν κάποια παλιά bugs.
  • Σε ορισμένες περιπτώσεις, όλες αυτές οι αλλαγές θα χαλάσουν πράγματα που δούλευαν! Αυτό λέγεται regression.
  • Αφαιρούν την υποστήριξη κάποιου υλικού. Π.χ. μπορεί να πας από 4.4 σε 4.13 και να μην υποστηρίζεται πλέον κάποια κάρτα γραφικών του 2000.
Οι major αναβαθμίσεις λοιπόν είναι "κινούμενος στόχος", συνεχώς θα διορθώνουν bugs και θα φέρνουν νέα.

Οι minor αναβαθμίσεις αντίθετα έχουν σαν στόχο την σταθερότητα:
  • Πολύ σπάνια θα κάνουν "backport" την υποστήριξη κάποιου πολύ διαδεδομένου νέου υλικού, π.χ. πολύ διαδεδομένοι νέοι επεξεργαστές ή νέες κάρτες γραφικών.
  • Κάνουν backport τα σημαντικότερα μόνο από τα "παλιά bugs" που διόρθωσαν οι major αναβαθμίσεις.
  • Γι' αυτό το λόγο έχουν και πολύ λιγότερα regressions.
  • Δεν αφαιρούν υποστήριξη υλικού.
Επίσης να ξαναεπισημάνω ότι όποιος θα εγκαταστήσει Ubuntu με το live CD 18.04 ή 18.04.1, δεν θα λαμβάνει major αναβαθμίσεις.
Αντίθετα, όποιος θα εγκαταστήσει με το 18.04.2, 18.04.3 ή 18.04.4, θα λαμβάνει major αναβαθμίσεις κάθε εξάμηνο μέχρι την 18.04.5 που είναι και η τελευταία της 18 σειράς.
Αυτό που προτείνω δηλαδή είναι να εγκαθιστάμε με τα 18.04/18.04.1 live CDs και να ακολουθούμε την default πολιτική του Ubuntu χωρίς να κάνουμε κάποια ενέργεια.

Τώρα σχετικά με τα συγκεκριμένα προβλήματα που ανάφερες, δεν αποτελούν ένδειξη για να προτιμήσουμε κάτι διαφορετικό. Εάν βάλεις την 18.04 και συνεχίσεις να τα έχεις, μπορούμε τότε να τα κοιτάξουμε.
Η καλυτερη δεν ειναι η 18.04.05; Η σταθεροτερη με ολα τα updates μεσα; Μηπως να περιμενουμε και να την βαλουμε μια και καλη;
Θα βγαλεις δικη σου εκδοση ή θα βαλουμε την κανονικη;
Θα ανοιξει αλλο thread να ξαναθυμηθουμε τα βηματα; Γιατι δεν τα θυμαμαι καλα.

alkisg

  • Τεχνικός / καθαρίστρια
  • *****
  • Μηνύματα: 4512
    • alkisg@im.sch.gr
    • Ο Διερμηνευτής της ΓΛΩΣΣΑΣ
Απ: Πλάνο υποστήριξης Ubuntu/LTSP/Epoptes/sch-scripts
« Απάντηση #11 στις: 10 Μάι 2018, 11:39:28 πμ »
Η 18.04.5 θα βγει το καλοκαίρι του 2020, όταν τα σχολεία θα εγκαθιστούν την 20.04.1.
Δεν χρειάζεται να βγει δικό μας live CD, το κανονικό του Ubuntu MATE αρκεί.
Οτιδήποτε χρειαστεί από τεκμηρίωση θα είναι όπως πάντα στο wiki, http://ts.sch.gr/wiki/Linux/LTSP.
Το φόρουμ είναι για συζητήσεις, το wiki για τεκμηρίωση.

mitsospap

  • Δεινόσαυρος
  • *****
  • Μηνύματα: 113
Απ: Πλάνο υποστήριξης Ubuntu/LTSP/Epoptes/sch-scripts
« Απάντηση #12 στις: 10 Μάι 2018, 08:14:57 μμ »
To xubuntu 18.04 και το lubuntu 18.04 το ειδατε; Το lubuntu βαλαν σε παλια netbook και παει,πολυ καλα εμαθα.
Ποια η αποψη σας για αυτα; Θα στηριζονται;

alkisg

  • Τεχνικός / καθαρίστρια
  • *****
  • Μηνύματα: 4512
    • alkisg@im.sch.gr
    • Ο Διερμηνευτής της ΓΛΩΣΣΑΣ
Απ: Πλάνο υποστήριξης Ubuntu/LTSP/Epoptes/sch-scripts
« Απάντηση #13 στις: 10 Μάι 2018, 09:08:34 μμ »
Υπάρχουν εκατοντάδες διανομές Linux. Όσο λιγότερες υποστηρίζουμε, τόσο καλύτερα τις υποστηρίζουμε. Επομένως όχι, μόνο Ubuntu MATE. Για τις υπόλοιπες, υπάρχουν κοινότητες υποστήριξης όπως το ubuntu-gr και άλλα: http://alkisg.mysch.gr/steki/index.php?topic=4704.0